All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.menubar
Class MenuBarTag

    com.sas.taglib.servlet.tbeans.menubar.MenuBarTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class MenuBarTag

MenuBarTag is the tag handler class for the sas:MenuBar custom tag MenuBarTag is invoked by the JSP page to evaluate the sas:MenuBar custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, MenuBar, to execute the methods.

If you need to extend or modify the functionality of the sas:MenuBar custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:MenuBar custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

The sasads:MenuBar custom tag contains sasads:Menu tags which contain sasads:MenuItem tags. The MenuBar can be horizontally or vertically oriented. The default orientation is horizontal.

See Also:
  `BaseMenuBar`, Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`MenuBarTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying MenuBar object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`int` | `getBorderWidth()` Gets borderWidth property (Integer)
`int` | `getCellPadding()` Gets the cellPadding property (Integer).
`int` | `getCellSpacing()` Gets the cellSpacing property (Integer).
`int` | `getHeight()` Gets the height property (Integer).
`int` | `getHeightPercentage()` Gets the heightPercentage property (Integer).
`java.lang.String` | `getMenuType()` Gets the menuType property (String).
`java.lang.String` | `getModel()` Gets the model property (String).
`java.lang.String` | `getSeparator()` Gets the separator property (String).
`java.lang.String` | `getStyleClassPrefix()` Gets the styleClassPrefix property (String).
`java.lang.String` | `getTarget()` getTarget returns the value of the TARGET= argument used on the anchor tags generated.
`int` | `getWidth()` Gets the width property (Integer).
`int` | `getWidthPercentage()` Gets the widthPercentage property (Integer).
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isHorizontalOrientation()` Gets the horizontalOrientation property (boolean).
`void` | `setBorderWidth(int border)` Sets the borderWidth property (Integer).
`void` | `setCellPadding(int padding)` Sets the cellPadding property (Integer).
`void` | `setCellSpacing(int spacing)` Sets the cellSpacing property (Integer).
`void` | `setHeight(int value)` Sets the height property (Integer).
`void` | `setHeightPercentage(int value)` Sets the heightPercentage property (Integer).
`void` | `setHorizontalOrientation(boolean horizontalOrientation)` Sets the horizontalOrientation property (boolean).
`void` | `setMenuType(java.lang.String menuType)` Sets the menuType property (String).
`void` | `setModel(java.lang.String model)` Sets the model property (String).
`void` | `setSeparator(java.lang.String separator)` Sets the separator property (String).
`void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` Sets the styleClassPrefix property (String).
`void` | `setTarget(java.lang.String target)` Sets the value of the TARGET= argument used on the anchor tags generated.
`void` | `setWidth(int value)` Sets the width property (Integer).
`void` | `setWidthPercentage(int value)` Sets the widthPercentage property (Integer).

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### MenuBarTag

    public MenuBarTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setTarget

    public void setTarget(java.lang.String target)

  Sets the value of the TARGET= argument used on the anchor tags generated.

  Parameters:
    `value` - The value of the TARGET= argrument on the anchor tag

### getTarget

    public java.lang.String getTarget()

  getTarget returns the value of the TARGET= argument used on the anchor tags generated. This value determines where/how the links associated with the menu/menu items.

  Returns:
    TARGET= argument of the anchor tags

### setMenuType

    public void setMenuType(java.lang.String menuType)

  Sets the menuType property (String). Acceptable values are: "HOVER" - Hovering over the menu will show the dropdown menu "CLICK" - Clicking the menu will show the dropdown menu "NAVIGATION" - Menu contains links, no dropdowns or menubar

  Parameters:
    `menuType` - the menuType String

### getMenuType

    public java.lang.String getMenuType()

  Gets the menuType property (String).

  Returns:
    the menuType String

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String styleClassPrefix)

  Sets the styleClassPrefix property (String). The prefix to append to the ids of the items in the control.

  Parameters:
    `styleClassPrefix` - the styleClassPrefix String

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Gets the styleClassPrefix property (String). The prefix to append to the ids of the items in the control.

  Returns:
    the styleClassPrefix String

### setHorizontalOrientation

    public void setHorizontalOrientation(boolean horizontalOrientation)

  Sets the horizontalOrientation property (boolean). A value of false indicates vertical menu bar orientation.

  Parameters:
    `horizontalOrientation` - the horizontalOrientation boolean

### isHorizontalOrientation

    public boolean isHorizontalOrientation()

  Gets the horizontalOrientation property (boolean).

  Returns:
    false if vertical menu bar orientation.

### setModel

    public void setModel(java.lang.String model)

  Sets the model property (String). The model String is used to find the model

  Parameters:
    `model` - the model String

### getModel

    public java.lang.String getModel()

  Gets the model property (String).

  Returns:
    the model String

### setSeparator

    public void setSeparator(java.lang.String separator)

  Sets the separator property (String). The separator String between Menus

  Parameters:
    `separator` - the separator String

### getSeparator

    public java.lang.String getSeparator()

  Gets the separator property (String). The separator String between Menus.

  Returns:
    the separator String

### setBorderWidth

    public void setBorderWidth(int border)

  Sets the borderWidth property (Integer).

  Parameters:
    `border` - The border width in pixels

### getBorderWidth

    public int getBorderWidth()

  Gets borderWidth property (Integer)

  Returns:
    The border width in pixels

### setCellSpacing

    public void setCellSpacing(int spacing)

  Sets the cellSpacing property (Integer).

  Parameters:
    `spacing` - The number of pixels between each cell

### getCellSpacing

    public int getCellSpacing()

  Gets the cellSpacing property (Integer).

  Returns:
    The number of pixels between each cell. The default is 0.

### setCellPadding

    public void setCellPadding(int padding)

  Sets the cellPadding property (Integer).

  Parameters:
    `padding` - The number of pixels between the cell border and the cell content

### getCellPadding

    public int getCellPadding()

  Gets the cellPadding property (Integer).

  Returns:
    The number of pixels between the cell border and the cell content

### setWidth

    public void setWidth(int value)

  Sets the width property (Integer).

  Parameters:
    `value` - The width of the MenuBar/Table in pixels

### getWidth

    public int getWidth()

  Gets the width property (Integer).

  Returns:
    The width of the MenuBar/Table in pixels

### setWidthPercentage

    public void setWidthPercentage(int value)

  Sets the widthPercentage property (Integer).

  Parameters:
    `value` - The width of the MenuBar/Table as a percentage

### getWidthPercentage

    public int getWidthPercentage()

  Gets the widthPercentage property (Integer).

  Returns:
    The width of the MenuBar/Table as a percentage

### setHeight

    public void setHeight(int value)

  Sets the height property (Integer).

  Parameters:
    `value` - The height of the MenuBar/Table in pixels

### getHeight

    public int getHeight()

  Gets the height property (Integer).

  Returns:
    The height of the MenuBar/Table in pixels

### setHeightPercentage

    public void setHeightPercentage(int value)

  Sets the heightPercentage property (Integer).

  Parameters:
    `value` - The height of the MenuBar/Table as a percentage

### getHeightPercentage

    public int getHeightPercentage()

  Gets the heightPercentage property (Integer).

  Returns:
    The height of the MenuBar/Table as a percentage

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying MenuBar object.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.